""" 
RC Brutusbot Code wirtten by Mark Martens Sept. 2011

Hardware used: Brutusbot kit + Compact Motor Driver Kit + Syanpse Breakout Board + Syanpse Wireless RF100 module
"""

# Use Synapse Evaluation Board definitions
from synapse.evalBase import *

otherNodeAddr = "\x00\x92\x3B"      # <= put the address of the Controller-side node here

@setHook(HOOK_STARTUP)
def startupEvent():
    """This is hooked into the HOOK_STARTUP event"""
    setPinDir(0, True) 
    setPinDir(1, True) 
    setPinDir(2, True) 
    setPinDir(3, True) 
#end of Startup

def leftRev():
    """Left Reverse"""
    writePin(1,True)
    writePin(0,False)
    

def leftFwd():
    """Left Forward"""
    writePin(0,True)
    writePin(1,False)
    
def LeftStop():
    """Left Stop"""
    writePin(1,False)
    writePin(0,False)
    
def rightRev():
    """Right Reverse"""
    writePin(3,True)
    writePin(2,False)
    
def rightFwd():
    """Right Forward"""
    writePin(2,True)
    writePin(3,False)
    
def rightStop():
    """Right Reverse"""
    writePin(2,False)
    writePin(3,False)